#include "options.ih"

void Options::verifyConfig() const
{
    if (not d_configExists)
    {
        if (d_defaultConfig)
            log() << "default config file `" << d_configFile << 
                                                            "' not found\n";
        else
            throw Exception{PANIC} << "cannot read config file `" << 
                                                        d_configFile << '\'';
    }

    string line;

    d_arg->option(&line, 'l');
}
